org.springframework.data.projection

## Interface MethodInterceptorFactory

All Known Implementing Classes:
  JsonProjectingMethodInterceptorFactory

    public interface MethodInterceptorFactory

SPI to create `MethodInterceptor` instances based on the given source object and the target type to produce. To be registered with a `ProxyProjectionFactory` to customize the way method executions on projection proxies are handled.

Since:
  1.13
Author:
  Oliver Gierke
See Also:
  `ProxyProjectionFactory`

### Method Summary

All Methods Instance Methods Abstract Methods
`MethodInterceptor` `createMethodInterceptor(Object source, Class<?> targetType)` Returns the `MethodInterceptor` to be used for the given source object and target type.
`boolean` `supports(Object source, Class<?> targetType)` Returns whether the current factory is supposed to be used to create a `MethodInterceptor` for proxy of the given target type.

### Method Detail

#### createMethodInterceptor

    MethodInterceptor createMethodInterceptor(Object source,
                                              Class<?> targetType)

Returns the `MethodInterceptor` to be used for the given source object and target type.

Parameters:
  `source` - will never be null.
  `targetType` - will never be null.
Returns:

#### supports

    boolean supports(Object source,
                     Class<?> targetType)

Returns whether the current factory is supposed to be used to create a `MethodInterceptor` for proxy of the given target type.

Parameters:
  `source` - will never be null.
  `targetType` - will never be null.
Returns: